Productsup
CDE APIApi referenceConnectors

Delete a connector that was moved to bin.

Sign in to run requests against the CDE API.
DELETE
/connectors/{movedToBinPublicId}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

movedToBinPublicId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "message": "Connector will be permanently deleted in the background.",
  "data": {
    "state": {
      "uuid": "b8992a68-a506-4836-8eda-e81fa5abf999"
    }
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?